ALTER PROCEDURE "dba"."pv_koond_eksport"(in a_skoop integer,in a_yksusnr integer,in a_yksuskood char(16),in a_paring integer,in a_peralg date,in a_perlop date)
begin
  declare li_paring integer;
  delete from gl_eksport;
  set li_paring=set_gl_1(a_paring);
  insert into gl_eksport(veerg1,veerg2,veerg3,veerg4,veerg5,veerg6,veerg7,veerg8,veerg9,veerg10,veerg11,veerg12,veerg13,veerg14)
    select pv_yksus.nimi,
           Left(trim(asulist.nimi+' '+asulist.enimi),100),
           pv_yksus.konto,
           pv_yksus."order",
           pv_obj.nimi,
           pv_kanne.toot_nr,
           pv_kanne.nimi,
           pv_kanne.kuup,
           pv_kanne.ekspl,
           pv_kanne.vara_nr,
           pv_kanne.doknr,
           Left(pv_kanne."info",100),
           pv_kanne.kogus,
           pv_kanne.alg_m
      from pv_kanne left outer join gl_1 on(pv_kanne.id = gl_1.id) and(pv_kanne.kuup = gl_1.kuup)
                    left outer join pv_yksus on pv_kanne.yksusnr = pv_yksus.yksusnr
                    left outer join pv_obj on pv_kanne.objnr=pv_obj.objnr
                    left outer join asulist on pv_yksus.asutnr=asulist.asutnr
      where ((pv_kanne.id = gl_1.id) and(pv_kanne.kuup = gl_1.kuup) or a_paring = 0) and
            (pv_yksus.skoop = a_skoop or a_skoop = 0) and
            (pv_kanne.yksusnr = a_yksusnr or a_yksusnr = 0) and
            Left(pv_yksus.kood,Length(a_yksuskood))=a_yksuskood and
            pv_kanne.kuup>=a_peralg and pv_kanne.kuup<=a_perlop;
end